%define pkg_name        UNIVERSAL-require
%define pkg_version     0.11
%define rpm_pkg_version 0.11
%define rpm_pkg_release 1.n0i.2

Summary:       Require() modules from a variable
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/M/MS/MSCHWERN/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Test::More) >= 0.47}

%global perl_filter_prov 'perl\\(UNIVERSAL\\)'


%description
If you've ever had to do this... eval "require $module"; to get around the
bareword caveats on require(), this module is for you. It creates a
universal require() class method that will work with every Perl module and
its secure.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.11-1.n0i.2
- version 0.11

* Wed Oct 12 2005 Marius Feraru <altblue@n0i.net> 0.10-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.10
- rebuild on perl 5.8.7
